:root {
  --color-primary: #6720b0;
  --color-secondary: #e44084;
  --color-background-light: #fff2f8;
  --color-background-dark: #3f0920;
  --color-grey-light: #f3f4f5;
  --color-blue-material: #5884f5;

  --max-section-width: 1024px;
}

a {
  text-decoration: none;
  color: inherit;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: "IBM Plex Mono", monospace;
  color: black;
}

header {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: center;
  height: 80px;
  background-color: var(--color-primary);
  color: white;
  padding: 0 3vw;
  user-select: none;
  font-weight: 600;
}

.header-name {
  justify-self: flex-start;
  font-size: 32px;
}

.header-icon-links {
  justify-self: center;
  font-size: 24px;
  display: flex;
  align-items: center;
}

.header-icon-link {
  margin: 0 24px;
  background-color: white;
  padding: 8px;
  color: #6720b0;
  width: 28px;
  height: 28px;
  border-radius: 22px;
  font-size: 28px;
  text-align: center;
}

.header-text-links {
  justify-self: flex-end;
  display: flex;
  align-items: center;
}

.header-text-link {
  margin: 0 12px;
  font-size: 20px;
}

#get-started-button {
  padding: 12px;
  border: 1px solid white;
  border-radius: 8px;
  box-sizing: border-box;
}

#get-started-button:hover {
  border-color: var(--color-primary);
  color: var(--color-primary);
  background-color: white;
}

#hero {
  background: center no-repeat url("resources/images/home_bg.png");
  background-size: cover;
  width: 100%;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 650px;
  font-weight: 600;
}

.terminal {
  width: 736px;
  border-radius: 8px;
  background-color: black;
}

.term-head {
  background-color: #c4c4c4;
  opacity: 0.5;
  height: 40px;
  border-radius: 8px 8px 0 0;
}

.term-content {
  padding: 0 64px 64px 64px;
  font-size: 30px;
  box-sizing: border-box;
  text-align: center;
}

.term-title {
  margin: 34px 0;
}

.term-focus {
  text-align: left;
  padding: 16px 32px;
  border: dashed white;
  border-radius: 10px;
}

#more-or-less {
  background-repeat: no-repeat;
  background-image: linear-gradient(
      to right,
      var(--color-background-light),
      var(--color-background-light)
    ),
    linear-gradient(
      to top left,
      transparent 50%,
      var(--color-background-light) 50%
    );
  background-size: calc(50% - 50px) 100%, 100px 100%;
  background-position: 0 0, 50% 0;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  padding: 128px 0;
}

.ml-section {
  text-align: center;
  width: 352px;
  margin: 0 auto;
  max-width: 90%;
}

.ml-title {
  color: var(--color-primary);
  font-size: 40px;
  line-height: 52px;
  padding-bottom: 14px;
  border-bottom: 8px solid var(--color-primary);
}

.ml-item {
  margin-top: 68px;
  height: 228px;
}

.ml-icon {
  font-size: 64px;
  margin-bottom: 30px;
}

.ml-subtitle {
  color: #e44084;
  font-size: 30px;
  margin: 16px 0;
}

.ml-content {
  font-family: "Inter", sans-serif;
  font-size: 18px;
  line-height: 1.2;
}

#quickstart {
  padding: 128px 0;
  margin: auto;
  border-top: 8px solid var(--color-secondary);
  border-bottom: 8px solid var(--color-secondary);
}

.quickstart-content {
  width: 90%;
  max-width: var(--max-section-width);
  margin: auto;
}

.quickstart-title {
  color: var(--color-primary);
  font-size: 50px;
  margin-bottom: 25px;
}

.instruction {
  margin-bottom: 26px;
  font-size: 18px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.instruction-description {
  font-family: "Inter", sans-serif;
}

.code-block {
  width: 550px;
  height: 54px;
  box-sizing: border-box;
  background-color: var(--color-grey-light);
  border-radius: 8px;
  display: flex;
  align-items: center;
  font-size: 14px;
  position: relative;
}

.code-block .code {
  padding-left: 24px;
}

.code-block .code:before {
  content: "$ ";
  color: var(--color-primary);
  margin-right: 12px;
}

.code-block .copy-code-absolute-wrapper {
  position: absolute;
  top: 8px;
  right: 8px;
}

.code-block .copy-code {
  width: 44px;
  padding: 6px;
  font-size: 12px;
  font-family: "Inter", sans-serif;
  color: var(--color-blue-material);
  border: var(--color-blue-material) solid 1px;
  border-radius: 4px;
  background-color: white;
  text-align: center;
  cursor: pointer;
  user-select: none;
  position: relative;
}

.code-block .copy-code:hover {
  color: white;
  background-color: var(--color-blue-material);
}

.code-block .copy-tooltip {
  opacity: 0;
  position: absolute;
  width: 108px;
  background-color: black;
  color: #fff;
  padding: 4px;
  z-index: 1;
  height: 12px;
  top: calc(-100% - 8px);
  margin-left: -130px;
  border-radius: 4px;
  right: -50%;
  transition: opacity 0.3s;
}

.code-block .copy-code:hover .copy-tooltip {
  opacity: 1;
}

.code-block .copy-code .copy-tooltip::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -6px;
  border-width: 6px;
  border-style: solid;
  border-color: black transparent transparent transparent;
}

#features {
  padding: 128px 0;
  width: 90%;
  margin: auto;
  max-width: --var(--max-section-width);
}

.features-title {
  color: white;
  background-color: var(--color-primary);
  font-size: 40px;
  line-height: 52px;
  height: 100px;
  border-radius: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.features-container {
  margin-top: 64px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.feature {
  padding: 16px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.feature-icon {
  align-self: center;
  background-color: var(--color-background-light);
  border-radius: 50%;
  width: 224px;
  height: 224px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 112px;
  color: var(--color-primary);
}

.feature-title {
  margin-top: 64px;
  font-size: 26px;
  font-weight: 600;
  height: 124px;
  color: var(--color-secondary);
}

.feature-description {
  margin-top: 32px;
  border-left: 8px solid var(--color-primary);
  padding-left: 12px;
}

.feature-description-item {
  font-size: 18px;
  font-family: "Inter", sans-serif;
  margin-top: 32px;
}

.feature-description-item:first-child {
  margin-top: 0;
}

.tools {
  margin-top: 132px;
  background-color: var(--color-background-light);
  border-radius: 16px;
  padding: 32px 64px;
}

.tools-title {
  height: 104px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--color-secondary);
  font-size: 30px;
  font-weight: 600;
}

.tools-container {
  display: flex;
  justify-content: center;
  margin-bottom: 64px;
}

.tool {
  background-color: white;
  margin: 0 16px;
  box-shadow: 0px 0px 25px 0px rgba(103, 32, 176, 0.2);
  height: 162px;
  width: 162px;
  border-radius: 16px;
  padding: 24px 0;
  box-sizing: border-box;
  text-align: center;
}

.tool-icon {
  font-size: 60px;
  color: var(--color-primary);
}

.tool-name {
  margin-top: 32px;
  font-size: 24px;
  font-family: "Inter", sans-serif;
}

footer {
  background-color: var(--color-background-dark);
  color: white;
  text-align: center;
  padding: 32px 0;
}

.social-title {
  font-size: 20px;
  font-weight: 600;
  margin-bottom: 28px;
}

.social-icons {
  display: flex;
  justify-content: center;
  align-items: center;
}

.social-icon {
  margin: 0 24px;
  background-color: white;
  padding: 8px;
  color: var(--color-background-dark);
  width: 28px;
  height: 28px;
  border-radius: 22px;
  font-size: 28px;
  text-align: center;
}

.footer-footer {
  margin-top: 48px;
  font-family: "Inter", sans-serif;
  font-size: 12px;
}

.footer-footer a {
  text-decoration: underline;
}
